Skip to main content
GET
/
api
/
v1
/
public
/
competitors
/
website-shares
Get Competitive Share Over Time
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/competitors/website-shares \
  --header 'Authorization: Bearer <token>'
{
  "entity_name": "<string>",
  "data_points": [
    {
      "date": "2023-11-07T05:31:56Z",
      "share_of_voice": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

time_range
enum<string> | null
Available options:
all_time,
1y,
1m,
1w,
1d
platforms[]
enum<string>[] | null
Available options:
ChatGPT,
Gemini,
AI Overviews,
Google AI Mode,
Perplexity,
Mistral,
Claude,
DeepSeek,
Grok,
Copilot
localizations[]
string[] | null
topic_ids[]
integer[] | null
website_id
integer
required

Target website id

Response

Successful Response

Response schema for citation share of voice over time

entity_name
string
required
data_points
CitationShareOverTime · object[]
required